<template>
	<div class="stats">
		<div class="main-block">
			<div class="fn_header">
				<h3>{{ $store.state.locale.statCallcenter }}</h3>
			</div>
			<div class="fn_content">
				<div class="row">
					<div class="col-lg-12">
						<div class="chart-block">
							<div class="chart-title mt--120">{{ $store.state.locale.acceptMissCall }}</div>
							<div class="chart">
								<div id="chart_receive_reject">
									<apexchart ref="lastCalls" type=radialBar height=350 :options="receiveOptions"
											   :series="receiveSeries"/>
								</div>
							</div>
						</div>
						<div class="table-block row">
							<div class="col-lg-6">
								<table class="table table-striped table-dark-blue mt--150">
									<thead>
									<tr>
										<th class="w-50">{{ $store.state.locale.number }}</th>
										<th class="w-25">{{ $store.state.locale.long }}</th>
									</tr>
									</thead>
									<tbody>
									<tr v-for="i in lastReceivedCalls">
										<td>{{i.callerId}}</td>
										<td>{{i.duration | filterDuration}}</td>
									</tr>
									</tbody>
								</table>
							</div>
							<div class="col-lg-6">
								<table class="table table-striped table-red mt--150">
									<thead>
									<tr>
										<th class="w-50">{{ $store.state.locale.time }}</th>
										<th class="w-25">{{ $store.state.locale.number }}</th>
									</tr>
									</thead>
									<tbody>
									<tr v-for="i in lastRejectedCalls">
										<td>{{i.callDate | filterDate}}</td>
										<td>{{i.callerId}}</td>
									</tr>
									</tbody>
								</table>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
</template>
<script src="./index.js"></script>